%define momorel 2
%define rcver 2
%define src_name hping2.0.0-rc2
%define summary command-line oriented TCP/IP packet assembler/analyzer
%define buildroot %{_tmppath}/%{name}-%{version}-root/

Name: hping2
Version: 2.0.0
Release: 0.%{rcver}.%{momorel}m
Summary: %{summary}
Group: Applications/Internet
URL: http://www.hping.org/
License: GPL

Source: http://www.hping.org/%{src_name}.tar.gz
NoSource: 0

BuildRoot: %{buildroot}

%description
hping is a command-line oriented TCP/IP packet assembler/analyzer.
The interface is inspired to the ping(8) unix command, 
but hping isn't only able to send ICMP echo requests.
It supports TCP, UDP, ICMP and RAW-IP protocols, has a traceroute mode,
the ability to send files between a covered channel, 
and many other features.

%prep

%setup -q -n %{name}-rc%{rcver}

%build

%configure
make

%install
rm -rf %{buildroot}
install -d 755 %{buildroot}%{_sbindir}
install -d 755 %{buildroot}%{_mandir}/man8
install -m 755 hping2 %{buildroot}%{_sbindir}
install -m 644 docs/hping2.8 %{buildroot}%{_mandir}/man8
cd %{buildroot}%{_sbindir} && ln -s hping2 hping

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES INSTALL README BUGS COPYING KNOWN-BUGS NEWS TODO docs/*
%{_sbindir}/*
%{_mandir}/man8/hping2.8*

%clean
rm -rf %{buildroot}

%changelog
* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0-0.2.2m)
- kill %%define name
- kill %%define version 

* Mon Jul 14 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.0.0-0.2.1m)
- define momorel

* Sun Jul 28 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- First build for Momonga Linux
- (2.0.0-0.0001001m)
